# arrayfire.cuda module

Functions specific to CUDA backend.

This module provides interoperability with other CUDA libraries.

`arrayfire.cuda.``get_native_id`(idx)

  Get native (unsorted) CUDA device ID

  Parameters:

  idx : int.

  > Specifies the (sorted) index of the device.

  Returns: | native_idx : integer denoting the native cuda id.

`arrayfire.cuda.``get_stream`(idx)

  Get the CUDA stream used for the device idx by ArrayFire.

  Parameters:

  idx : int.

  > Specifies the index of the device.

  Returns: | stream : integer denoting the stream id.

`arrayfire.cuda.``set_native_id`(idx)

  Set native (unsorted) CUDA device ID

  Parameters:

  idx : int.

  > Specifies the (unsorted) native index of the device.